<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/container_relativeLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <View
        android:id="@+id/background_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#ee1a1a1a" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center_horizontal"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/box_rounded_bg"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginBottom="235dp"
                android:layout_marginLeft="16dp"
                android:layout_marginRight="16dp"
                android:layout_marginTop="25dp"
                android:layout_weight="1">

                <EditText
                    android:id="@+id/editText"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@color/white"
                    android:gravity="top"
                    android:inputType="none"
                    android:lineSpacingExtra="5dp"
                    android:minHeight="52dp"
                    android:minLines="5"
                    android:paddingBottom="5dp"
                    android:textColor="@color/hf_grey01"
                    android:textColorHint="#cccccc"
                    android:textSize="28sp"
                    android:theme="@style/EditTextTheme" />

                <LinearLayout
                    android:id="@+id/hint_lienarLayout"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="#ffffff"
                    android:orientation="horizontal">

                    <View
                        android:id="@+id/hintCursor_view"
                        android:layout_width="2dp"
                        android:layout_height="30dp"
                        android:layout_marginRight="3dp"
                        android:layout_marginTop="5dp"
                        android:layout_weight="0"
                        android:background="@color/hf_blue" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <kr.co.hanwha.hifive.view.FontTextView
                            android:id="@+id/hint_textView"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:text="@string/add_task_name_hint"
                            android:textColor="#cccccc"
                            android:textSize="28sp" />

                        <kr.co.hanwha.hifive.view.FontTextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="15dp"
                            android:text="@string/add_task_name_hint2"
                            android:textColor="#cccccc"
                            android:textSize="16sp" />
                    </LinearLayout>
                </LinearLayout>
            </RelativeLayout>
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="#ffffff"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="#ffffff"
            android:elevation="0dp"
            android:orientation="vertical">

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:layout_weight="0"
                android:background="#cacbd1" />

            <!-- 기한 설정 & 반복 설정 -->
            <LinearLayout
                android:id="@+id/dueTo_linearLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="0"
                android:background="@drawable/list_bg_translucent_grey13"
                android:gravity="center_vertical"
                android:minHeight="60dp"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="16dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="11.5dp"
                        android:src="@mipmap/ic_date" />

                    <kr.co.hanwha.hifive.view.FontTextView
                        android:id="@+id/dueTo_textView"
                        style="@style/font_notosans_b_16sp_grey02"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="2018-02-12" />

                    <kr.co.hanwha.hifive.view.FontTextView
                        android:id="@+id/dueToToday_textView"
                        style="@style/font_notosans_r_16sp_grey04"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp"
                        android:text="@string/task_main_duedate_today" />
                </LinearLayout>
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:layout_marginLeft="16dp"
                android:layout_weight="0"
                android:background="@color/hf_grey11" />


            <!-- 캠페인 설정 -->
            <LinearLayout
                android:id="@+id/campaign_linearLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="0"
                android:background="@drawable/list_bg_translucent_grey13"
                android:gravity="center_vertical"
                android:minHeight="60dp"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="16dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="11.5dp"
                        android:src="@mipmap/ic_tq" />

                    <kr.co.hanwha.hifive.view.FontTextView
                        android:id="@+id/campaign_textView"
                        style="@style/font_notosans_r_16sp_grey02"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="0dp"
                        android:text="" />

                    <kr.co.hanwha.hifive.view.FontTextView
                        android:id="@+id/campaignHint_textView"
                        style="@style/font_notosans_r_16sp_grey04"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/add_task_select_campaign_hint" />
                </LinearLayout>

                <ImageButton
                    android:id="@+id/clearCampaign_imageButton"
                    android:layout_width="44dp"
                    android:layout_height="44dp"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_weight="0"
                    android:background="@null"
                    android:padding="6dp"
                    android:src="@mipmap/ic_x1"
                    android:visibility="invisible" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="44dp"
                    android:layout_marginRight="14dp"
                    android:scaleType="centerInside"
                    android:src="@mipmap/ic_ar_right" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:layout_marginLeft="16dp"
                android:layout_weight="0"
                android:background="@color/hf_grey11" />

            <!-- 받는사람 -->
            <kr.co.hanwha.hifive.view.HFReceiverContainerView
                android:id="@+id/receiverContainerView"
                android:layout_width="match_parent"
                android:layout_height="60dp"
                android:layout_weight="0"
                android:background="@drawable/list_bg_translucent_grey13" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:layout_weight="0"
                android:background="@color/hf_grey11" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="55dp"
                android:layout_weight="0"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <kr.co.hanwha.hifive.view.FontTextView
                    android:id="@+id/cancel_textView"
                    style="@style/font_notosans_r_14sp_grey18"
                    android:layout_width="80dp"
                    android:layout_height="55dp"
                    android:layout_weight="0"
                    android:gravity="center_vertical"
                    android:paddingLeft="14dp"
                    android:text="@string/alert_cancel" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_weight="1" />

                <kr.co.hanwha.hifive.view.FontTextView
                    android:id="@+id/register_textView"
                    style="@style/font_notosans_r_14sp_white01"
                    android:layout_width="80.5dp"
                    android:layout_height="36.5dp"
                    android:layout_marginRight="9dp"
                    android:layout_weight="0"
                    android:background="@drawable/button_rounded_rectangle_login_bg"
                    android:gravity="center"
                    android:text="@string/add_task_register" />

            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</RelativeLayout>